# Minimal motion example config file provided by the
# Debian motion package - for basic webcam operation.
#
# You most certainly want to investigate
# /usr/share/doc/motion/examples/motion-dist.conf.gz
# for further configuration options. Also, refer to the
# motion man page and /usr/share/doc/motion/motion_guide.html
# for detailed information on configuration options.

daemon on
quiet on

# You may very well need to change this (check with 'dmesg'
# after plugging in your webcam)
videodevice /dev/video0

# Image size in pixels (valid range is camera dependent)
# CHANGE ME!
width 320
height 240

# This is what it was earlier.   I'm not doing motion detection, so I'm pushing it down.
# framerate 25
framerate 2

# And make the minimum gap huge
minimum_gap 2147483647

# And two events are forever apart
gap 2147483647

#quality 85
auto_brightness off

# Initial brightness, contrast, hue (NTSC), and saturation
# 0 = disabled (valid range 0-255)
brightness 0
contrast 0
saturation 0
hue 0

# Encode movies in real-time (install ffmpeg before enabling)
ffmpeg_cap_new off

# Target base directory for pictures and films
# You should probably change this (create dir beforehand)
# CHANGE ME!
target_dir /www/html/webcam/image

# Define a port number (e.g. 8000) to enable the mini-http server
# 0 = disabled
webcam_port 0

# Set to 'off' to allow anybody (not just localhost) to view the
# webcam via the mini-http server (http://hostname:port)
#webcam_localhost on

#webcam_quality 100
# This was earlier: webcam_maxrate 8
webcam_maxrate 1

# Attaches .jpg automatically.
snapshot_filename picture
snapshot_interval 1

# Remove these to detect motion
threshold 99999
threshold_tune off


# Don't use my CPU so much, you hog!
low_cpu 1

#lightswitch  20
#night_compensate off
quality 75
minimum_motion_frames 1000

#       text_changes boolean
#              Values: on, off / Default: off
#              Turns the text showing changed pixels on/off.
#
#       text_left string
#              Values: Max 4095 characters / Default: Not defined
#              User defined text overlayed on each in the lower left corner. Use A-Z, a-z, 0-9, " / ( ) @ ~ # < > ¦ , . : - + _ and  conversion  specifiers
#              (codes starting by a %).
#
#       text_right string
#              Values: Max 4095 characters / Default: %Y-%m-%d1T
#              User  defined text overlayed on each in the lower right corner. Use A-Z, a-z, 0-9, " / ( ) @ ~ # < > ¦ , . : - + _ and conversion specifiers
#              (codes starting by a %). Default: %Y-%m-%d\nT = date in ISO format and time in 24 hour clock
